{
  "author": "Danilo Toro - Nicolás Liendro",
  "description": "Connect multiple database with odbc | Conectate a multiple bases de datos con odbc",
  "description_lang":{
    "en": "Use Open DataBase Connectivity to connect to and manage your database system.",
    "es": "Utiliza Open DataBase Connectivity para conectarte y gestionar tu sistema de bases de datos.",
    "pr": "Use o Open DataBase Connectivity para conectar e gerenciar seu sistema de banco de dados."
  },
  "disclaimer": "THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.",
  "version": "5.2.1",
  "license": "MIT",
  "homepage": "http://rocketbot.com",
  "linux": false,
  "windows": true,
  "mac": false,
  "docker": false,
  "name": "odbc",
  "dependencies": {
    "pyodbc": "4.0.30"
  },
  "title": {
    "en": "ODBC",
    "es": "ODBC",
    "pr": "ODBC"
  },
  "icon": "data:image/svg+xml;base64,[encoded data, 4676 characters]",
  "children": [
    {
      "en": {
        "title": "List odbc drivers",
        "description": "Return an list with all odbc drivers"
      },
      "es": {
        "title": "Listar drivers odbc",
        "description": "Retorna una lista con todos los drivers odbc"
      },
      "form": {
        "css": "modal-lg",
        "inputs": [
          {
            "type": "input",
            "placeholder": {
              "es": "Access",
              "en": "Access",
              "pr": "Access"
            },
            "title": {
              "es": "Filter",
              "en": "Filter:"
            },
            "description": {
                "es": "Palabra para aplciar el filtro",
                "en": "Word to apply in the filter"
            },
            "id": "filter",
            "css": "col-md-12"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "Variable",
              "en": "Variable"
            },
            "title": {
              "es": "Asignar resultado a variable",
              "en": "Assign result to variable: "
            },
            "description": {
                "es": "Variable donde guardar el resultado.",
                "en": "Variable where to store the result."
            },
            "help": {
              "es": "Nombre de variable sin llaves {}",
              "en": "Variable name without {}"
            },
            "id": "result",
            "css": "col-md-12"
          }
        ]
      },
      "video_youtube": "",
      "icon": "data:image/svg+xml;base64,[encoded data, 4676 characters]",
      "module": "listDrivers",
      "module_name": "odbc",
      "visible": true,
      "options": false,
      "father": "module",
      "group": "scripts",
      "linux": false,
      "windows": true,
      "mac": false,
      "docker": false
    },
    {
      "en": {
        "title": "Connect DB",
        "description": "Connect to db from odbc driver"
      },
      "es": {
        "title": "Conectarse a Base de Datos",
        "description": "Comando para conectarse a una base de datos desde driver odbc"
      },
      "form": {
        "css": "modal-lg",
        "style": "width:100px;",
        "inputs": [
          {
            "type": "html",
            "title": {
              "es": "Seleccione el driver",
              "en": "Select driver"
            },
            "src": "index.html",
            "id": "html",
            "css": "col-md-12",
            "style": "height:5px;"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "SERVER=localhost;PORT=1433;DATABASE=mi_db",
              "en": "SERVER=localhost;PORT=1433;DATABASE=mi_db"
            },
            "title": {
              "es": "Parámetros:",
              "en": "Parameters:"
            },
            "description": {
                "es": "Datos para la conexión.",
                "en": "Data necessary for the connection."
            },
            "id": "params",
            "css": "col-md-12"
          }
        ]
      },
      "video_youtube": "",
      "icon": "data:image/svg+xml;base64,[encoded data, 4676 characters]",
      "module": "connect",
      "module_name": "odbc",
      "visible": true,
      "options": false,
      "father": "module",
      "group": "scripts",
      "linux": false,
      "windows": true,
      "mac": true,
      "docker": true
    },
    {
      "en": {
        "title": "Execute query",
        "description": "Execute query to connected db"
      },
      "es": {
        "title": "Ejecutar query",
        "description": "Ejecuta query en la base de datos conectada"
      },
      "form": {
        "css": "modal-lg",
        "inputs": [
          {
            "type": "input",
            "placeholder": {
              "es": "select * from tabla",
              "en": "select * from table"
            },
            "title": {
              "es": "Query",
              "en": "Query:"
            },
            "description": {
                "es": "Query que se desea ejecutar.",
                "en": "Query you want to execute."
            },
            "id": "query",
            "css": "col-md-12"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "300,'test'",
              "en": "300, 'test"
            },
            "title": {
              "es": "Parametros",
              "en": "Params:"
            },
            "description": {
                "es": "Parametros necesarios, si es que son requeridos.",
                "en": "Params, if they are necessary."
            },
            "id": "params",
            "css": "col-md-12"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "Variable",
              "en": "Variable"
            },
            "title": {
              "es": "Asignar resultado a variable",
              "en": "Assign result to variable: "
            },
            "description": {
                "es": "Variable donde guardar el resultado.",
                "en": "Variable where to store the result."
            },
            "help": {
              "es": "Nombre de variable sin llaves {}",
              "en": "Variable name without {}"
            },
            "id": "var_",
            "css": "col-md-12"
          }
        ]
      },
      "video_youtube": "",
      "icon": "data:image/svg+xml;base64,[encoded data, 4676 characters]",
      "module": "execute_query",
      "module_name": "odbc",
      "visible": true,
      "options": false,
      "father": "module",
      "group": "scripts",
      "linux": false,
      "windows": true,
      "mac": true,
      "docker": true
    },
    {
      "en": {
        "title": "Close connection",
        "description": "Close odbc connection",
        "title_options": null,
        "options": null
      },
      "es": {
        "title": "Cerrar conexión",
        "description": "Cierra la conexión de odbc",
        "title_options": null,
        "options": null
      },
      "form": {
        "css": "modal-lg",
        "inputs": [
        ]
      },
      "video_youtube": "",
      "icon": "data:image/svg+xml;base64,[encoded data, 4676 characters]",
      "module": "closeConn",
      "module_name": "odbc",
      "visible": true,
      "options": false,
      "father": "module",
      "group": "scripts",
      "linux": false,
      "windows": true,
      "mac": true,
      "docker": true
    }
  ]
}